Bug 35642 - enabling ipv6 on ftp client
enabling ipv6 on ftp client
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ftp (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-11 12:12 EDT by Pekka Savola
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 16:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-04-11 12:12:08 EDT
Please patch 'ftp' client (no need for the server IMO) to
enable ipv6 too.

.src.rpm against the latest (0.17-7) is available at
http://www.netcore.fi/pekkas/linux/ipv6/
Comment 1 Bernhard Rosenkraenzer 2001-04-15 15:54:16 EDT
Thanks, done in 0.17-9
Comment 2 Pekka Savola 2001-04-25 16:36:11 EDT
Mm.. Did you forget to enable the patch too? :-)

--- ftp.spec    Sun Apr 15 22:54:40 2001
+++ f   Wed Apr 25 23:28:34 2001
@@ -22,9 +22,10 @@
 %setup -q -n netkit-ftp-%{version}
 %patch1 -p1
 %patch2 -p1 -b .acct
+%patch3 -p1 -b .usagi
 
 %build
-sh configure --with-c-compiler=gcc
+sh configure --with-c-compiler=gcc --enable-ipv6
 perl -pi -e '
     s,^CC=.*$,CC=cc,;
     s,-O2,\$(RPM_OPT_FLAGS),;



I also noted that ftp client, when rebuilt, crashes on RHL62 even without any patches:

$ ./ftp ftp.kame.net
Connected to kame220.kame.net.
220-
220 apple.kame.net FTP server (NetBSD-ftpd 20010329) ready.
Name (ftp.kame.net:pekkas): ftp
331 Guest login ok, type your name as password.
Password:
230 Guest login ok, access restrictions apply.
Remote system type is UNIX.
Using binary mode to transfer files.
Segmentation fault

Program received signal SIGSEGV, Segmentation fault.
0x400d163f in _IO_fflush (fp=0x4016dc40) at iofflush.c:41
41      iofflush.c: No such file or directory.
(gdb) bt
#0  0x400d163f in _IO_fflush (fp=0x4016dc40) at iofflush.c:41
#1  0x40028738 in rl_prep_terminal () from /usr/lib/libreadline.so.3
#2  0x4002329f in readline () from /usr/lib/libreadline.so.3
#3  0x8052ce4 in get_input_line ()
#4  0x8052ea3 in cmdscanner ()
#5  0x8052bc9 in main ()
#6  0x400979cb in __libc_start_main (main=0x80528d0 <main>, argc=2, argv=0xbffffa64, 
    init=0x80493e8 <_init>, fini=0x805437c <_fini>, rtld_fini=0x4000aea0 <_dl_fini>, 
    stack_end=0xbffffa5c) at ../sysdeps/generic/libc-start.c:92

$ rpm -q readline
readline-2.2.1-6

Too old readline I suppose.  But something has broken this some time ago.
Comment 3 Bernhard Rosenkraenzer 2001-05-18 06:30:35 EDT
Really fixed in 0.17-11.

Note You need to log in before you can comment on or make changes to this bug.